> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.pay4power.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.pay4power.com/_mcp/server.

# Vend

POST https://p4p-core-bill-payments-service.dev.payinvert.com/api/v2.1/b2b/b2b/tv/vend
Content-Type: application/json

Completes a TV subscription purchase and returns the final vending or subscription status.

Reference: https://docs.pay4power.com/tv/vend

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /b2b/tv/vend:
    post:
      operationId: vend
      summary: Vend
      description: >-
        Completes a TV subscription purchase and returns the final vending or
        subscription status.
      tags:
        - subpackage_tv
      parameters:
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Response with status 200
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  description: Any type
      requestBody:
        content:
          application/json:
            schema:
              type: object
              additionalProperties:
                description: Any type
servers:
  - url: https://p4p-core-bill-payments-service.dev.payinvert.com/api/v2.1/b2b
    description: Default
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

```

## Examples

**Request**

```json
{
  "verificationReference": "17C156F255C711F19418E8B9E75B0F3B",
  "transactionReference": "456789276567189"
}
```

**Response**

```json
{
  "success": true,
  "message": "Mock TV vend successful",
  "errors": null,
  "statusCode": 200,
  "correlationId": "e05814a8-ae36-47e8-afea-a3cf62d92972",
  "data": {
    "status": "SUCCESS",
    "amount": 1000,
    "receiver": "1212121212",
    "transactionId": "TV-0000000000000355",
    "clientTransactionReference": "TV-0000000000000355",
    "transactionDate": "2026-05-22T11:15:47.7334717",
    "customerName": "DEV MOCK CUSTOMER",
    "customerAddress": "DEV MOCK ADDRESS",
    "provider": "DSTV",
    "commission": {
      "commissionAmount": 0,
      "commissionPercentage": "0",
      "commissionCap": 0,
      "isCustomRate": false
    }
  }
}
```